package domain


type AlibabaWdkChannelOrderStatusUpdateApiResult struct {
    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        返回内容     */
    Model  *AlibabaWdkChannelOrderStatusUpdateOrderOperateResult `json:"model,omitempty" `

    /*
        错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

}

func (s *AlibabaWdkChannelOrderStatusUpdateApiResult) SetSuccess(v bool) *AlibabaWdkChannelOrderStatusUpdateApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkChannelOrderStatusUpdateApiResult) SetErrMsg(v string) *AlibabaWdkChannelOrderStatusUpdateApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkChannelOrderStatusUpdateApiResult) SetModel(v AlibabaWdkChannelOrderStatusUpdateOrderOperateResult) *AlibabaWdkChannelOrderStatusUpdateApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkChannelOrderStatusUpdateApiResult) SetErrCode(v string) *AlibabaWdkChannelOrderStatusUpdateApiResult {
    s.ErrCode = &v
    return s
}
